OpenNMS::Release::DebPackage(3pm)

NAME
OpenNMS::Release::DebPackage - Perl extension for manipulating Debian packages

SYNOPSIS
  use OpenNMS::Release::DebPackage;

  my $deb = OpenNMS::Release::DebPackage->new("path/to/foo.deb");

DESCRIPTION
This is just a perl module for manipulating Debian packages, including version comparisons, path comparisons, and other miscellaneous things.

CONSTRUCTOR
OpenNMS::Release::DebPackage->new($path)

Given a path to a .deb file, create a new OpenNMS::Release::DebPackage object. The file must exist.

METHODS

  * sign($id, $password)
Given a GPG id and password, sign (or resign) the Debian package.

AUTHOR
Benjamin Reed, <ranger@opennms.org>

COPYRIGHT AND LICENSE
Copyright (C) 2012 by The OpenNMS Group, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.